Subject: Icecat: gfx.webrender.all unset by default - gpu performance issues

From: Ekaitz Zarraga <[email-masked]>
Date: Tue, 05 Oct 2021 09:15:26 +0000

Hi,
I recently found my GPU struggling to render simple websites on icecat while
ungoogled-chromium is able to do it correctly.

The most recent one was element, Matrix's web client.
I opened an issue there[^1] and they told me to set the `gfx.webrender.all` to
 `true`.

I did it and everything worked like a charm, and the rendering effort for any
other website went down significantly.

Why do we ship icecat with this variable unset? Can we set it so more people
benefit from the new rendering engine?

Thanks,
Ekaitz

[^1]: https://github.com/vector-im/element-web/issues/19217